|  | Home · All Classes · Modules

# QDockWidget.DockWidgetFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self, DockWidgetFeatures f)
- __init__ (self)

### Special Methods

- DockWidgetFeatures __and__ (self, int mask)
- bool __eq__ (self, DockWidgetFeatures f)
- DockWidgetFeatures __iand__ (self, int mask)
- int __int__ (self)
- DockWidgetFeatures __invert__ (self)
- DockWidgetFeatures __ior__ (self, DockWidgetFeatures f)
- DockWidgetFeatures __ixor__ (self, DockWidgetFeatures f)
- bool __ne__ (self, DockWidgetFeatures f)
- int __nonzero__ (self)
- DockWidgetFeatures __or__ (self, DockWidgetFeatures f)
- DockWidgetFeatures __xor__ (self, DockWidgetFeatures f)

## Detailed Description

DockWidgetFeature may be used whenever DockWidgetFeatures is expected.

## Method Documentation

### DockWidgetFeatures.__init__ (self, DockWidgetFeatures f)

### DockWidgetFeatures.__init__ (self)

### DockWidgetFeatures DockWidgetFeatures.__and__ (self, int mask)

### bool DockWidgetFeatures.__eq__ (self, DockWidgetFeatures f)

### DockWidgetFeatures DockWidgetFeatures.__iand__ (self, int mask)

### int DockWidgetFeatures.__int__ (self)

### DockWidgetFeatures DockWidgetFeatures.__invert__ (self)

### DockWidgetFeatures DockWidgetFeatures.__ior__ (self, DockWidgetFeatures f)

### DockWidgetFeatures DockWidgetFeatures.__ixor__ (self, DockWidgetFeatures f)

### bool DockWidgetFeatures.__ne__ (self, DockWidgetFeatures f)

### int DockWidgetFeatures.__nonzero__ (self)

### DockWidgetFeatures DockWidgetFeatures.__or__ (self, DockWidgetFeatures f)

### DockWidgetFeatures DockWidgetFeatures.__xor__ (self, DockWidgetFeatures f)